const { Sequelize } = require("sequelize");

module.exports = (sequelize) => {
  const Result = sequelize.define('Result', {
    avgScore: {
      type: Sequelize.DOUBLE,
      null: false,
    },
    minScore: {
      type: Sequelize.DOUBLE,
      null: true,
    },
    maxScore: {
      type: Sequelize.DOUBLE,
      null: true,
    }
  },
  {
    tableName: 'results'
  });
  return Result;
};
